package com.supervision.pdfqaserver.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.pdfqaserver.domain.DomainMetadata;
import com.supervision.pdfqaserver.service.DomainMetadataService;
import com.supervision.pdfqaserver.mapper.DomainMetadataMapper;
import org.springframework.stereotype.Service;

/**
* @author Administrator
* @description 针对表【domain_metadata(领域元数据)】的数据库操作Service实现
* @createDate 2025-04-27 11:45:24
*/
@Service
public class DomainMetadataServiceImpl extends ServiceImpl<DomainMetadataMapper, DomainMetadata>
    implements DomainMetadataService{

    @Override
    public void saveIfNotExists(DomainMetadata metadata) {

        boolean exists = this.lambdaQuery()
                .eq(DomainMetadata::getSourceType, metadata.getSourceType())
                .eq(DomainMetadata::getTargetType, metadata.getTargetType())
                .eq(DomainMetadata::getRelation, metadata.getRelation()).exists();
        if (!exists) {
            this.save(metadata);
        }
    }
}




